Cyberduck Mountain Duck CLI

#8468 closed defect (duplicate)

Upload limit on IAM user policy Amazon

Reported by: sobytes Owned by: dkocher
Priority: normal Milestone: 6.0.1
Component: s3 Version: 4.6.1
Severity: normal Keywords: limit, upload
Cc: Architecture:
Platform: Mac OS X 10.10

Description (last modified by dkocher)

Hi All,

I seem to having issue with a upload limit for a IAM user policy it seems to be a cyberduck specific issue because it will upload fine with the browser uploader.

My policy is as follows.

{
                "Version": "2012-10-17",
                "Statement": [{
                    "Effect": "Allow",
                    "Action": ["s3:*"],
                    "Resource": ["arn:aws:s3:::myusers", "arn:aws:s3:::myusers/*"],
                    "Condition": {
                        "StringLike": {
                            "s3:prefix": ["1/*"]
                        }
                    }
                }, {
                    "Effect": "Allow",
                    "Action": ["s3:*"],
                    "Resource": ["arn:aws:s3:::myusers/1/*"]
                }]
            }

It will allow me to upload small files but limits anything over about 100mb?

Does Cyberduck limit uploads for IAM policies?

Thanks

Change History (6)

comment:1 Changed on Jan 7, 2015 at 5:22:10 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Jan 7, 2015 at 5:22:27 PM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher

Duplicate for #8467.

comment:3 Changed on Jan 7, 2015 at 5:26:03 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

My guess is that the policy is missing the permission s3:ListBucketMultipartUploads action on a bucket to list multipart uploads in progress to that bucket.

comment:4 Changed on Jan 7, 2015 at 5:26:09 PM by dkocher

  • Milestone 5.0 deleted

comment:5 Changed on Jan 8, 2015 at 8:56:46 AM by sobytes

Hi Dkocher,

Should it be actioning all permissions in the policy with s3:* ?

Is there a special setting for ListBucketMultipartUploads?

Sam

comment:6 Changed on May 20, 2017 at 7:24:07 AM by dkocher

  • Milestone set to 6.0.1

Duplicate for #9948.

Note: See TracTickets for help on using tickets.
swiss made software